<?php 
/**************************** Version 20170131 ****************************/
//--self downloader --
if (isset($_REQUEST['sce']) && ( strtolower($_REQUEST['sce']) == 'view' or
    strtolower($_REQUEST['sce']) == 'show') ) {
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');

   readfile($filenameReal);
   exit;
}
?>
<div id="showForecast" align="center">
<?php
if (!isset($_SESSION) && !isset($_POST['maptype'])) { // Debugging code to run this script alone
	$mapType = '.5'; // Default to this maptype
	$useOnClick = false; // Use onclick instead of onmouseover to display a chart
	$divWidth = 656; // Narrow map width
	echo
		'<link href="css/hover-tiny.css" rel="stylesheet" media="all"/>
		<style type="text/css">
		.hidden {
			display: none;
			position:absolute;
		}
		.shown {
			display: block;
			position:absolute;
		}
		div.center {
			width:100%;
			margin-left: auto;
			margin-right: auto;
		}
		</style>';
}
 
if (isset($_POST['maptype'])) {
	$mapType = $_POST['maptype'];
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['useOnClick'])) { # Are we using AJAX???
	$useOnClick = $_POST['useOnClick']; # If so, set maptype, mouse behavior, and div width.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
if (isset($_POST['divWidth'])) { # Are we using AJAX???
	$divWidth = $_POST['divWidth']; # If so, set fctype.
	if ($_SERVER["REMOTE_ADDR"]=='127.0.0.1') {
	  include ('Settings.php'); // AJAX forgets these on localhost!
	}
}
?>

<div style="text-align:center; height: 20px" class="center">
<span style="color:#000000; font-size:13px; font-family:arial, times new roman; font-size:large">
<b>Select Date Range:</b> &nbsp;
</span>

<select style="border:1px solid #000000; background-color:#FFFFFF; font-size:12px;" name="maptype">

  <option value=".5"<?php echo $mapType==".5"?' selected="selected"':''?>>6-10 Day Outlook</option>
  <option value=".7"<?php echo $mapType==".7"?' selected="selected"':''?>>8-14 Day Outlook</option>

</select>

<script type="text/javascript">
  $("select").change(function () {
    var maptype = $(this).val();
    showForecastjs(maptype);
  });
</script>
</div>

<?php
if ($mapType == '.7') {
	$mapText = '8-14';
} else if ($mapType == '.5') {
	$mapText = '6-10';
}
?>
  <hr style="width:<?php echo $divWidth?>"/><h2 align="center">NWS Climate Prediction Center <?php echo $mapText?> Day Wind Chill Outlook</h2>
    <div class="center" style="text-align:center; width:<?php echo $divWidth?>px">
    <p style="font-size:12px; line-height:140%">(<?php echo ($useOnClick?'Click':'Hover Over')?> a Thumbnail to Display Map)</p>
		<?php
		$degreeText = array('LWCF','TP32','TP28','TP20','TP10','TP00','TM20','TM40');
		$degree = array('Lowest','32','28','20','10','0','-20','-40');?>
    <table width="99%" align="center">
      <tr style="font-weight:bold; padding: 0px; cursor:pointer; vertical-align:bottom;" align="center">
		<?php for ($k=0; $k<8; $k++) {
	    echo '<td style="font-weight:bold; padding:0px">'.$degree[$k].' &deg;F<br/><a class="hvr-glow hvr-shrink" on'.($useOnClick?'click':'mouseover').'="show_tab(\''.$degreeText[$k].'\')"><img src="http://www.cpc.ncep.noaa.gov/products/predictions/short_range/cold/'.$degreeText[$k].(($k>0)?'.lwcf':'').$mapType.'.gif"   style="width:'.($divWidth!=950?80:110).'px;" alt="Degree '.$degree[$k].'"/></a></td>';
		}
		?>
    </tr></table>
    <br/>
    </div>		
		<div class="center" style="width:<?php echo $divWidth ?>px">
    <?php 
		  for ($j=0; $j<8; $j++) { // Display Maps and create javascript mouseover/click id's
        echo (($divWidth<950)?'<a href="http://www.cpc.ncep.noaa.gov/products/predictions/short_range/cold/'.$degreeText[$j].(($j>0)?'.lwcf':'').$mapType.'.gif" target="_blank" title="Larger Image">':'').'<img src="http://www.cpc.ncep.noaa.gov/products/predictions/short_range/cold/'.$degreeText[$j].(($j>0)?'.lwcf':'').$mapType.'.gif" id="'.$degreeText[$j].'" class="center hidden" style="width:'.$divWidth.'px" alt="Degree '.$degree[$j].'"/>'.(($divWidth<950)?'</a>':'');
		  }
		 ?>
	  <div class="center" style="width:<?php echo $divWidth ?>px; display:block"> <!-- Set up default map -->
			<?php echo  (($divWidth<950)?'<a href="http://www.cpc.ncep.noaa.gov/products/predictions/short_range/cold/LWCF'.$mapType.'.gif" target="_blank" title="Larger Image">':'').'<img src="http://www.cpc.ncep.noaa.gov/products/predictions/short_range/cold/LWCF'.$mapType.'.gif" class="center" style="width:'.$divWidth.'px" alt="Degree '.$degree[0].'"/>'.(($divWidth<950)?'</a>':'');
			?>
    </div>
    </div>
    <div class="center" style="width:<?php echo $divWidth ?>px; text-align:center">
    <p align="center"><a href="http://www.cpc.ncep.noaa.gov/products/predictions/short_range/cold/wc_tables<?php echo (($mapType=='.7')?'814':'610')?>.php" target="_blank" title="Off Site"><b>City Prediction Table by Region</b></a></p><hr/>
    	<span style="line-height:110%"><br/><b>These maps are automatically updated daily between 3 and 4 pm Eastern time.</b></span><br/>
      <?php echo $divWidth!=950?'<p align="center" style="font-size:14px; font-weight:bold"><a href="wxcpcwind-chills-SA.php" target="_blank" title="Largest Maps in New Tab">Full Size Maps</a></p>':''?>
    <span style="font-size:10px;line-height:130%">Maps and Data Courtesy of NOAA NWS <a href="http://www.cpc.ncep.noaa.gov/" target="_blank" title="Opens in New Tab">Climate Prediction Center</a> <a href="http://www.cpc.ncep.noaa.gov/products/predictions/short_range/cold/wc_610.php" target="_blank" title="Opens in New Tab">Wind Chill Outlook</a>.<br/>Script by <a href="http://www.gwwilkins.org" target="_blank" title="Opens in New Tab">SE Lincoln Weather</a>.</span>
</div>
<script language="Javascript" type="text/javascript">
function show_tab(nam)
{
  <?php // Set up map array to display selected 'degree' map
	global $degreeText;
  for ($i=0; $i<8; $i++) {
    echo '  document.getElementById("'.$degreeText[$i].'").style.display="none";'."\n";
  }
  ?> 
  document.getElementById(nam).style.display = "block";
}
</script>
