<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/**************************** Version 20170131 ****************************/
//--self downloader --
if (isset($_REQUEST['sce']) && ( strtolower($_REQUEST['sce']) == 'view' or
    strtolower($_REQUEST['sce']) == 'show') ) {
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');

   readfile($filenameReal);
   exit;
}
############################################################################
$standAlone	= false;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="NWS US 3 Day Excessive Rainfall Forecasts"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('NWS CPC Wind Chill Outlook');
	$showGizmo = true;  // set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'NWS CPC Wind Chill Outlook';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
##############################  Settings  ##################################
$useOnClick = false; // Use onclick instead of onmouseover to display a chart
$divWidth = 656; // Narrow map width
### Set Map Type
$mapType = '.5'; // '.7' (8-14d), '.5' (6-10d) 
###########################  End of Settings ###############################
$wideWidth = 950; // Initial widescreen map width.  Varies depending upon map type
if (isset($_SESSION['CSSwidescreen'])) {
  $divWidth = ($_SESSION['CSSwidescreen']==1)? $wideWidth : $divWidth;
}
$divWidth = $standAlone?$wideWidth:$divWidth;
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript"> {
	function showForecastjs(maptype) { 
		$('#showForecast').load('inc-wxcpcwind-chills.php', {maptype:maptype,divWidth:<?php echo $divWidth?>,useOnClick:<?php echo ($useOnClick?1:0)?>});
	}
}
</script>
<link href="css/hover-tiny.css" rel="stylesheet" media="all"/>
<style type="text/css">
.hidden {
	display: none;
	position:absolute;
}
.shown {
	display: block;
	position:absolute;
}
div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
}
</style>
<?php echo $standAlone?'
<style type="text/css">
body {
  font-family: "arial", sans-serif;
}
</style>
':''?>
</head>
<body>
<?php
############################################################################
if ( !$standAlone ) {
	include("header.php");
	include("menubar.php");
}
if (!function_exists('getUniqueImageURL')) {
	function getUniqueImageURL($image_url){
		$timestamp = time();
		if(strpos($image_url, '?')){
			$image_url = str_replace('?', "?$timestamp&", $image_url);
		}
		else{
			$image_url .= "?$timestamp";
		}
		return $image_url;
	}
}
############################################################################
$SStart = date('z',mktime(0,0,0,10,1,date('Y')));	// Start of Wind Chill Predictions
$SEnd = date('z',mktime(0,0,0,4,1,date('Y')));	// End of Wind Chill Predictions
#echo '$SStart = '.$SStart.', $SEnd = '.$SEnd.', and (date\'z\') is '.date('z').'<br/>';  // Debug Code
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114)' : $divWidth) ?>px; border:inset">
<?php } else { ?>
	<div id="main-copy" style="width:100%; border:inset">
  <?php $divWidth = $wideWidth; ?>
<?php }	?>
	<div class="center" style="width:<?php echo $divWidth ?>px">
	<br/>
  <?php if ((date('z')<$SStart)&&date('m')>3 || ((date('z')>$SEnd)&&(date('m')<10))) { 
	  echo '<h3 align="center"><span style="color:#FF0033"><br/>CPC Wind Chill Forecasts are made from October 1 through March 31</span></h3><br/>';
	} else {
		include('inc-wxcpcwind-chills.php'); // Display Wind Chill Forecasts
		echo '</div>';
	}?>
  </div>
</div><!-- end main-copy -->
<?php
############################################################################
if ( !$standAlone ) {
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>